source: trunk/third/glib2/tests/run-markup-tests.sh @ 18159

Revision 18159, 449 bytes checked in by ghudson, 22 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r18158, which included commits to RCS files with non-trunk default branches.
  • Property svn:executable set to *
Line 
1#! /bin/sh
2
3fail ()
4{
5  echo "Test failed: $*"
6  exit 1
7}
8
9for I in $srcdir/markups/fail-*.gmarkup; do
10  echo "Parsing $I, should fail"
11  ./markup-test $I > /dev/null && fail "failed to generate error on $I"
12  if test "$?" != "1"; then
13    fail "unexpected error on $I"
14  fi 
15done
16
17for I in $srcdir/markups/valid-*.gmarkup; do
18  echo "Parsing $I, should succeed"
19  ./markup-test $I > /dev/null || fail "failed on $I"
20done
21
22echo "All tests passed."
Note: See TracBrowser for help on using the repository browser.